# Uses of Class
com.usatiuk.dhfs.repository.GetObjectReply

Packages that use GetObjectReply
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of GetObjectReply in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return GetObjectReply
Modifier and Type
Method
Description
`GetObjectReply`
GetObjectReply.Builder.`build()`
`GetObjectReply`
GetObjectReply.Builder.`buildPartial()`
`static GetObjectReply`
GetObjectReply.`getDefaultInstance()`
`GetObjectReply`
GetObjectReply.Builder.`getDefaultInstanceForType()`
`GetObjectReply`
GetObjectReply.`getDefaultInstanceForType()`
`GetObjectReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`getObject(GetObjectRequest request)`
`static GetObjectReply`
GetObjectReply.`parseDelimitedFrom(InputStream input)`
`static GetObjectReply`
GetObjectReply.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static GetObjectReply`
GetObjectReply.`parseFrom(byte[] data)`
`static GetObjectReply`
GetObjectReply.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static GetObjectReply`
GetObjectReply.`parseFrom(com.google.protobuf.ByteString data)`
`static GetObjectReply`
GetObjectReply.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static GetObjectReply`
GetObjectReply.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static GetObjectReply`
GetObjectReply.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static GetObjectReply`
GetObjectReply.`parseFrom(InputStream input)`
`static GetObjectReply`
GetObjectReply.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static GetObjectReply`
GetObjectReply.`parseFrom(ByteBuffer data)`
`static GetObjectReply`
GetObjectReply.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type GetObjectReply
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<GetObjectRequest,GetObjectReply>`
DhfsObjectSyncGrpcGrpc.`getGetObjectMethod()`
`io.smallrye.mutiny.Uni<GetObjectReply>`
DhfsObjectSyncGrpc.`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
DhfsObjectSyncGrpcBean.`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
DhfsObjectSyncGrpcClient.`getObject(GetObjectRequest request)`
`com.google.common.util.concurrent.ListenableFuture<GetObjectReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`getObject(GetObjectRequest request)`
`com.google.protobuf.Parser<GetObjectReply>`
GetObjectReply.`getParserForType()`
`static com.google.protobuf.Parser<GetObjectReply>`
GetObjectReply.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type GetObjectReply
Modifier and Type
Method
Description
`GetObjectReply.Builder`
GetObjectReply.Builder.`mergeFrom(GetObjectReply other)`
`static GetObjectReply.Builder`
GetObjectReply.`newBuilder(GetObjectReply prototype)`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type GetObjectReply
Modifier and Type
Method
Description
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)`

## Uses of GetObjectReply in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return GetObjectReply
Modifier and Type
Method
Description
`GetObjectReply`
TemporaryReceivedObjectSerializer.`serialize(ReceivedObject object)`
Methods in com.usatiuk.dhfs.rpc that return types with arguments of type GetObjectReply
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<GetObjectReply>`
RemoteObjectServiceServer.`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
RemoteObjectServiceServerImpl.`getObject(PeerId from, GetObjectRequest request)`
Methods in com.usatiuk.dhfs.rpc with parameters of type GetObjectReply
Modifier and Type
Method
Description
`ReceivedObject`
TemporaryReceivedObjectSerializer.`deserialize(GetObjectReply message)`